Skip to main content
`Ctrl`+`K`

# PetscPartitionerSetType

Builds a particular `PetscPartitioner`

## Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerSetType(PetscPartitioner part, PetscPartitionerType name)

Collective

## Input Parameters

- part - The `PetscPartitioner` object

- name - The kind of partitioner

## Options Database Key

- -petscpartitioner_type type - Sets the `PetscPartitionerType`

## Note

     PETSCPARTITIONERCHACO    - The Chaco partitioner (--download-chaco)
     PETSCPARTITIONERPARMETIS - The ParMetis partitioner (--download-parmetis)
     PETSCPARTITIONERSHELL    - A shell partitioner implemented by the user
     PETSCPARTITIONERSIMPLE   - A simple partitioner that divides cells into equal, contiguous chunks
     PETSCPARTITIONERGATHER   - Gathers all cells onto process 0

## See Also

`PetscPartitionerGetType()`, `PetscPartitionerCreate()`

## Level

intermediate

## Location

src/dm/partitioner/interface/partitioner.c

## Examples

src/ts/tutorials/ex30.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages